import { FC } from "react";
import CyberConnect from "@cyberlab/cyberconnect";
import { Config } from "@cyberlab/cyberconnect/lib/types";
interface SuccessEvent {
    code: string;
    toAddr: string;
}
interface FailureEvent {
    code: string;
    message: string;
}
interface StaticProperty {
    cyberConnect: CyberConnect | null;
}
export declare type FollowButtonProps = Config & {
    toAddr: string;
    onSuccess?: (event: SuccessEvent) => void;
    onFailure?: (event: FailureEvent) => void;
};
export declare const FollowButton: FC<FollowButtonProps> & StaticProperty;
export {};
