"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useIsMountedRef = void 0;
var react_1 = require("react");
var useIsMountedRef = function () {
    var isMountedRef = (0, react_1.useRef)(false);
    (0, react_1.useEffect)(function () {
        isMountedRef.current = true;
        return function () {
            isMountedRef.current = false;
        };
    });
    return isMountedRef;
};
exports.useIsMountedRef = useIsMountedRef;
//# sourceMappingURL=useIsMountedRef.js.map